View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
16572Bug reportsSurvey takingpublic2021-10-07 15:58
Reportergabrieljenik Assigned Toollehar  
PriorityhighSeveritypartial_block 
Status acknowledgedResolutionopen 
Product Version4.3.9 
Summary16572: LSActiveRecord::encryptSave() doesn't run validations by default, while the standard 'save' method does
DescriptionAs validation on EncryptSave is not by default, some validations need to be explicitly requested. On 16538 validation was missing. Could this happen on others?
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)4.3.9
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

ollehar

ollehar

2021-10-07 13:43

administrator   ~66792

How to continue with this one?
gabrieljenik

gabrieljenik

2021-10-07 15:58

manager   ~66800

I would set validation = TRUE by default and review the places where encryptsave is used to review if validation should be turned off.
Also, validation, at least for encryptsave, should maybe not be applied to encripted fields?

Issue History

Date Modified Username Field Change
2020-08-07 15:06 gabrieljenik New Issue
2020-08-07 15:06 gabrieljenik Status new => assigned
2020-08-07 15:06 gabrieljenik Assigned To => ollehar
2021-03-10 21:03 ollehar Priority none => high
2021-03-10 21:04 ollehar Status assigned => new
2021-10-07 13:43 ollehar Note Added: 66792
2021-10-07 13:43 ollehar Bug heat 0 => 2
2021-10-07 13:45 ollehar Status new => acknowledged
2021-10-07 15:58 gabrieljenik Note Added: 66800
2021-10-07 15:58 gabrieljenik Bug heat 2 => 4